=== release 1.24.11 ===

2025-01-06 19:48:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.24.11

2024-12-06 15:15:45 +0100  Armin Begovic <armin.begovic@hotmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/decklink/gstdecklink.cpp:
	  decklink: Add missing video modes to gst_decklink_mode_get_type()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8122>

2024-12-06 15:15:34 +0100  Armin Begovic <armin.begovic@hotmail.com>

	* sys/decklink/gstdecklink.cpp:
	  decklink: Fix copy-paste errors regarding 8K modes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8122>

2024-08-08 14:36:19 +0200  Benjamin Gräf <benjamin.graef@zuehlke.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/decklink/gstdecklink.cpp:
	* sys/decklink/gstdecklink.h:
	  decklink: Add support for all modes of Quad HDMI recorder
	  By extending the GstDecklinkModeEnum with the additional modes supported by the Quad HDMI recorder,
	  we avoid using mode = 0 in case any of these resolutions is returned by the card.
	  Fixes #3713
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8122>

2024-12-30 22:53:02 +0100  Samuel Thibault <samuel.thibault@ens-lyon.org>

	* meson.build:
	  meson: Also disable drm on GNU/Hurd
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8228>

2024-12-23 15:17:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/srtp/gstsrtpdec.c:
	  srtpdec: fix build when libsrtp1 is being used
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8207>

2024-12-22 15:00:07 +0100  Philippe Normand <philn@igalia.com>

	* ext/srtp/gstsrtpdec.c:
	  srtpdec: Fix a use-after-free buffer issue
	  The gst_srtp_dec_decode_buffer() function modifies the input buffer after making
	  it writable, so the pointer might change as well, depending on the refcount of
	  the buffer.
	  This issue was detected using a netsim element upstream of the decoder in a
	  WebRTC pipeline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8201>

2024-12-16 11:39:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gstvp9parse.c:
	  vp9parse: Add video codec tag to the tag list
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8186>

2024-12-16 11:38:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Add video codec tag to the tag list
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8186>

2024-12-18 13:35:53 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/va/gstvadisplay.c:
	  va: display: Optimize out some property indirection
	  Because it was visible during some profiling, I thought it cost nothing
	  to optimize out the uneeded property get roundtrip.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8181>

2024-11-18 07:54:55 +0100  Emil Ljungdahl <emillj@axis.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Tear down src and sink bins before removing them from webrtc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8165>

2024-11-15 15:00:00 +0100  Emil Ljungdahl <emillj@axis.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Fix potential deadlock on bin elements cleanup
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8165>

2024-12-10 16:15:09 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtc: Simplify fmtp handling in codec stats
	  Parsing the whole caps as SDP media only to retrieve the fmtp field afterwards
	  seems a bit superfluous. By looking up the a-fmtp attribute directly the number
	  of allocations in this function gets down a bit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8130>

2024-12-07 00:23:33 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxclient.cpp:
	  onnx: disable onnxruntime telemetry
	  Disable the telemetry feautre on onnxruntime.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8106>

2024-12-05 13:39:38 +0100  Francisco Javier Velázquez-García <francisco.velazquez@appear.net>

	* ext/zxing/gstzxing.cpp:
	  zxing: Update decode hints usage for compatibility with ZXing >= 2.2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8085>

2024-12-03 13:14:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	  h264parse: Free SEI if parsing succeeds but alignment afterwards fails
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8077>

2024-12-03 13:10:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  h265parse: Free SEI if parsing succeeds but alignment afterwards fails
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4076
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8077>

2024-11-29 14:41:12 +0100  Jan Alexander Steffens (heftig) <heftig@archlinux.org>

	* ext/neon/meson.build:
	  meson: Drop max version bound from neon
	  Neon 0.34.0 broke the build again, but the API+ABI has been stable since
	  0.27 and the library is so-versioned.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8072>

2024-12-03 14:44:30 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	* gst/videoparsers/gsth265parse.c:
	  h265parse: parse unregistered SEI without user data
	  Same change as in h264parse.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8071>

2024-11-20 14:16:23 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	* gst/videoparsers/gsth264parse.c:
	* tests/check/elements/h264parse.c:
	  h264parse: parse unregistered SEI without user data
	  We get loads of warnings when parsing videos from users:
	  gsth264parser.c:1115:gst_h264_parser_parse_user_data_unregistered: No more remaining payload data to store
	  gsth264parse.c:646:gst_h264_parse_process_sei:<h264parse0> failed to parse one or more SEI message
	  Those are raised because of unregistered SEI without user data.
	  The spec does not explicitly state that unregistered SEI needs to have
	  data and I suppose the UUID by itself can carry valuable information.
	  FFmpeg also parses and exposes such SEI so there is no reason for us no
	  too as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8071>

2024-11-15 16:44:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	  tsdemux: Lower a GST_FIXME to a GST_DEBUG
	  This is not really a refcounting issue and can happen if a new program is in the
	  process of being activated that contains streams with the same PIDs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8066>

2024-12-03 23:39:54 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.10

=== release 1.24.10 ===

2024-12-03 23:29:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.24.10

2024-10-09 13:47:41 -0400  Stéphane Cerveau <scerveau@igalia.com>

	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265parser.c:
	  h265parser/bitwriter: add some comments for ceil_log2 use
	  Validate that the length of field must be calculate with
	  ceil_logs2 and not bit storage.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7905>

2024-10-09 13:46:17 -0400  Stéphane Cerveau <scerveau@igalia.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	  h264parse: use of ceil_log2 instead of bit_storage
	  According to the specification:
	  The length of the slice_group_id[ i ] syntax element is Ceil( Log2(
	  num_slice_groups_minus1 + 1 ) ) bits
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7905>

2024-12-02 19:34:14 +0800  Pablo Sun <pablo.sun@mediatek.com>

	* sys/kms/gstkmssink.c:
	  kmssink: Add mediatek auto-detection
	  Add MediaTek display controller into list of
	  auto-detected modules.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8027>

2024-12-01 11:45:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxftypes.c:
	  mxfmux: Fix off-by-one in the month when generating a timestamp for now
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8018>

2024-11-26 21:34:25 +0800  Xi Ruoyao <xry111@xry111.site>

	* ext/x265/gstx265enc.c:
	  x265: Allow building with x265-4.1
	  In x265-4.1 masteringDisplayColorVolume is changed from a pointer to a
	  character array embedded in struct x265_param.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7983>

2024-11-26 16:52:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/check/meson.build:
	  meson: Don't unconditionally invoke the libsoup subproject
	  fallback: kwarg will invoke the specified subproject even if required:
	  false, which is not what we want here.
	  Reported at https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4045#note_2674340
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7982>

2024-11-26 09:23:51 +0100  Albert Sjolund <alberts@axis.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtc: don't crash on invalid bundle id
	  If the bundle id forwarded to connect_rtpfunnel is not valid,
	  the assertion fails and crashes the program. This is now instead
	  an error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7966>

2024-11-19 17:21:16 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/closedcaption/ccutils.c:
	  ccutils: Fix a typo in cc_buffer_take_cea608_field2
	  There are no users of cc_buffer_take_cea608_field2, so this never was a
	  problem.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7973>

2024-11-19 16:42:11 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/closedcaption/ccutils.c:
	  ccutils: Fix a typo in max_buffer_time handling
	  All users set max_buffer_time to GST_CLOCK_TIME_NONE, effectively
	  infinite, so this never was a problem.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7973>

2024-11-19 13:47:55 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/closedcaption/ccutils.c:
	  ccutils: Remove broken branch
	  This branch was added in dd00dab5e9e8650f3f00660c2e611f81f1e8cd5b but is
	  never actually taken, as it requires `cc_data` to be null but
	  `cc_data_len` to be non-null. It would then dereference the null
	  `cc_data`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7973>

2021-07-01 13:09:04 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	  mpegtsmux: Mux timestampless buffers immediately
	  Instead of leaving them queued indefinitely, or until we're timing out
	  and it's the only buffer queued.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7901>

2024-11-12 11:01:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	  mpegtsmux: Don't time out in live mode if no timestamped next buffer is available
	  The muxer can only advance the time if it has a timestamped buffer that can be
	  output, otherwise it will just busy-wait and use up a lot of CPU.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/3912
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7901>

2024-11-05 14:34:03 +0100  Théo Maillart <tmaillart@freebox.fr>

	* gst/videoparsers/gstmpegvideoparse.c:
	  mpegvideoparse: do not set delta unit flag on unknown frame type
	  When encoding an image to mpeg2 video, with something like:
	  gst-launch-1.0 encodebin name=e profile=mpegpsmux:video/mpeg,mpegversion=2,systemstream=false ! \
	  filesink location=sample.mpg filesrc num-buffers=1 blocksize=$(stat -c%s sample.png) \
	  location=sample/dts.png ! pngdec ! e.
	  The only frame's type is set to an invalid value 0
	  The consequence is that mpegvideoparse sets the delta unit flag on the buffer because
	  it is not an I frame, then decodebin3 drops this only frame because the delta
	  unit flag is set and the decoder receives eos before it was able to receive any
	  encoded data
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7876>

2024-09-17 11:47:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/closedcaption/gstccconverter.c:
	* tests/check/elements/ccconverter.c:
	  ccconverter: Don't override in_fps_entry when trying to take output
	  This allows to handle CDP streams where the framerate is not provided by the
	  caps and generally gives preference to the framerate inside the CDP packets over
	  the one in the caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7862>

2024-11-05 14:23:05 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/timecode/gsttimecodestamper.c:
	  timecodestamper: Don't fail the latency query in LTC mode if we have no framerate
	  Only in LTC mode we introduce additional latency that is depending on only on a
	  property and not on the framerate, so waiting for the framerate is not necessary.
	  In all other modes no latency is introduced at all and the latency query can
	  simply be proxied.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7846>

2024-11-03 17:37:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/de.po:
	* po/es.po:
	* po/hr.po:
	* po/ro.po:
	* po/sl.po:
	* po/sv.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7820>

2024-10-30 20:40:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.9

=== release 1.24.9 ===

2024-10-30 20:33:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.24.9

2024-10-29 11:29:05 +0100  Edward Hervey <edward@centricular.com>

	* ext/srt/gstsrtobject.c:
	  srt: Don't attempt to reconnect on authentication failures
	  This is a fatal issue which can't be recovered
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1550
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7797>

2024-10-14 11:26:20 +0200  Emil Ljungdahl <emillj@axis.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Clean up bin elements when datachannel is removed
	  When a datachannel within a session is removed after proper close,
	  reference to the error_ignore_bin elements of the datachannel
	  appsrc/appsink were left in webrtcbin.
	  This caused the bin-objects to be left and not freed until the whole
	  webrtc session was terminated. Among other things that includes a thread
	  from the appsrc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7791>

2024-09-24 13:55:39 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst-libs/gst/wayland/gstwlvideoformat.c:
	* gst-libs/gst/wayland/gstwlvideoformat.h:
	  wayland: Add NV15 support
	  This format, which maps to NV12_10LE40 in GStreamer is produced by Rockchip
	  video decoders when decoding 4:2:0 10 bit content.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7789>

2024-10-22 23:41:13 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstvp8decoder.c:
	  vp8decoder: Fix resolution change handling
	  Do not store resolution in set_format() so that resolution change
	  can be detected on keyframe as intended.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/3928
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7787>

2024-10-25 16:37:15 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtmp2/gstrtmp2sink.c:
	  rtmp2sink: Initialize base_ts / last_ts with the actual first observed timestamp
	  Initializing it with zero can falsely trigger the overflow / underflow detection
	  code if the first observed timestamp is a big integer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7786>

2024-09-30 15:51:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/mpegtspacketizer.c:
	  mpegtsdemux: Handle PTS/DTS wraparound with ignore-pcr=true
	  The wraparound handling code assumes that the PCR gets updated regularly for
	  being able to detect wraparounds. With ignore-pcr=true that was not the case and
	  it stayed initialized at 1h forever.
	  To avoid this problem, update the fake PCR whenever the PTS advanced by more
	  than 5s, and also detect wraparounds in these fake PCRs.
	  Problem can be reproduced with
	  $ gst-launch-1.0 videotestsrc pattern=black ! video/x-raw,framerate=1/5 ! \
	  x264enc speed-preset=ultrafast tune=zerolatency ! mpegtsmux ! \
	  tsdemux ignore-pcr=true ! fakesink
	  which restarts timestamps at 0 after around 26h30m.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7763>

2024-10-26 11:42:48 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/play/gstplay.c:
	* gst-libs/gst/play/gstplay.h:
	  play: Improve play message API inconsistencies
	  * Check for the correct message type when parsing
	  * Use correct field name for warning message details
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7779>

2024-05-28 04:14:15 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/va/meson.build:
	* meson.build:
	* sys/msdk/gstmsdkallocator_libva.c:
	* sys/msdk/gstmsdkcaps.c:
	* sys/msdk/gstmsdkdec.c:
	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkvpp.c:
	* sys/msdk/gstmsdkvpputil.c:
	* sys/msdk/meson.build:
	  msdk: Fix libdrm dependency detection and usage
	  drm_fourcc.h should be picked up via the pkgconfig include, not the
	  system includedir directly.
	  Also consolidate the libdrm usage in va and msdk.
	  All this allows it to be picked up consistently (via the subproject,
	  for example).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7760>

2024-05-27 18:50:23 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/va/meson.build:
	  meson: Don't use fallback: kwarg for libva deps
	  This will cause a fallback even when the `va` option is `auto`, not
	  giving the user a chance to provide the dependency via the system, and
	  likely building this feature unnecessarily.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7760>

2024-05-27 18:43:33 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/va/gstvavideoformat.h:
	  va: Fix libdrm include
	  The libdrm/ prefix should not be used, it will be provided by the
	  pkgconfig file. Also HAVE_LIBDRM is necessary.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7760>

2024-10-23 14:28:30 +0200  Peter Stensson <petest@axis.com>

	* gst/codectimestamper/gstcodectimestamper.c:
	* tests/check/elements/h264timestamper.c:
	  codectimestamper: Fix gint wraparound in pts_compare_func
	  The diff between compared timestamps might be outside the gint range
	  resulting in wrong sorting results. This patch corrects that by
	  comparing the timestamps and then returning -1, 0 or 1 depending on the
	  result.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7737>

2024-10-24 14:40:23 +0200  Andoni Morales Alastruey <ylatuya@gmail.com>

	* sys/applemedia/vtdec.c:
	  vtdec: add support for level 6 6.1 and 6.2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7735>

2024-10-11 11:58:37 -0400  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecparsers/gsth264bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	  h26xbitwriter: false have_space if aligning fails on aud
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7697>

2024-10-15 16:44:27 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaav1enc.c:
	  vaav1enc: Do not enable palette mode by default
	  Palette mode should only be enabled only when we know that the content
	  of the picture is simple. For example, only white letters on black
	  screen in SCC mode. So, by default, we need to disable it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7696>

2024-09-27 18:01:53 +0200  Benjamin Gaignard <benjamin.gaignard@collabora.com>

	* sys/kms/gstkmssink.c:
	  kmssink: Add IMX-DCSS auto-detection
	  Add IMX DCSS display controller into list of
	  auto-detected modules.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7695>

2024-10-09 12:32:34 -0400  Francisco Javier Velázquez-García <francisco.velazquez@appear.net>

	* ext/srt/gstsrtsink.c:
	  srtsink: Add guard for null error when SRT open fails
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7687>

2024-10-09 12:08:10 -0400  Francisco Javier Velázquez-García <francisco.velazquez@appear.net>

	* ext/srt/gstsrtobject.c:
	  srtsink: Register SRT listen callback before binding socket
	  This change https://github.com/Haivision/srt/pull/2683 forces us to
	  call `srt_listen_callback` before `srt_listen`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7687>

2024-10-11 12:07:27 -0400  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecparsers/gstav1bitwriter.c:
	* gst-libs/gst/codecparsers/gsth264bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	  codecparsers: add debug categories to bitwriters
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7667>

2024-10-09 17:16:46 -0400  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/check/elements/vapostproc.c:
	  tests: va: fix vapostproc test for DMABuf
	  Now it picks the first format in the template srcpad list and do
	  the convertion. Also the format size is reduced because not all
	  drives support 4K as DMABuf (radeonsi).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7654>

2024-10-14 15:31:54 +0200  Stéphane Cerveau <scerveau@igalia.com>

	* gst/videofilters/gstscenechange.c:
	  scenechange: fix memory leak
	  A reference to the last buffer(oldbuf) was kept
	  leading to a memory leak on stop.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7666>

2024-10-13 23:04:58 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/dxva/meson.build:
	  meson: Explicitly use cpp_std=c++11 for dxva
	  dxva is built unconditionally on all platforms where introspection is
	  enabled, so let's fix the build on macOS so that introspection can be
	  enabled there: https://gitlab.freedesktop.org/nirbheek/cerbero/-/jobs/65009118
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7661>

2024-10-09 20:37:10 +0300  Jordan Petridis <jordan@centricular.com>

	* tests/check/elements/lc3.c:
	  tests/lc3: Allocate the same size for the buffer and the data
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7640>

2024-05-30 07:34:22 +0000  Weijian Pan <pwjworks@gmail.com>

	* sys/applemedia/avfdeviceprovider.m:
	  avfdeviceprovider: Fix caps leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7577>

2024-09-24 17:01:10 +0200  Hugues Fruchet <hugues.fruchet@foss.st.com>

	* sys/kms/gstkmsallocator.c:
	  kmsallocator: fix stride with planar formats
	  This fixes a regression introduced by the merge request
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3801
	  The extrapolated stride was computed but not used, resulting in the same
	  stride being applied to all planes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7571>

2024-09-19 12:12:53 +0200  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.8
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7549>

=== release 1.24.8 ===

2024-09-19 12:01:21 +0200  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.24.8

2024-09-17 14:48:03 +0200  Benjamin Gaignard <benjamin.gaignard@collabora.com>

	* sys/v4l2codecs/gstv4l2codech265dec.c:
	  v4l2codecs: h265: Minimize memory allocation
	  Be smarter when allocating sink and source memory pools to reduce the
	  memory footprint. Use gst_v4l2_decoder_get_render_delay() to know the
	  need number of buffers for downstream element.
	  Handle errors in case of memory allocation failures.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7546>

2024-09-17 18:31:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	  mpegtsmux: Fix refcounting issue when selecting the best pad
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7539>

2024-09-11 08:40:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	  mpegtsmux: Wait for data on all pads before deciding on a best pad unless timing out
	  This makes sure that if upstream has different latencies that we're still
	  outputting buffers with increasining timestamps across the different streams
	  unless buffers are arriving after the latency deadline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7516>

2024-09-05 22:07:24 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/adaptivedemux/gstadaptivedemux.c:
	  video: Don't overshoot QoS earliest time by a factor of 2
	  By setting the earliest time to timestamp + 2 * diff there would be a difference
	  of 1 * diff between the current clock time and the earliest time the element
	  would let through in the future. If e.g. a frame is arriving 30s late at the
	  sink, then not just all frames up to that point would be dropped but also 30s of
	  frames after the current clock time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7518>

2024-08-30 14:59:14 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/wayland/gstwldisplay.c:
	* gst-libs/gst/wayland/gstwlshmallocator.c:
	* gst-libs/gst/wayland/gstwlshmallocator.h:
	  wayland: Set a debug category for the shm allocator
	  None was set, which meant the debug was associated with default.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7494>

2024-09-09 16:27:43 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/wayland/gstwaylandsink.c:
	* gst-libs/gst/wayland/gstwlcontext.c:
	* gst-libs/gst/wayland/gstwlcontext.h:
	  wayland: Fix ABI break in WL context type name
	  While transforming the internals of waylandsink into a library, the
	  context type name was accidentally changed, causing an ABI break. Change
	  it back to its original (as used by the libgstgl), and add support for
	  the misnamed version as a backward compatibility measure.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7494>

2023-07-18 17:34:54 +0200  Michael Tretter <m.tretter@pengutronix.de>

	* sys/uvcgadget/gstuvcsink.c:
	  uvcsink: set cur_caps to upstream selected caps
	  If the UVC gadget announces multiple formats in the descriptors the uvcsink
	  doesn't select the actual format but let's the UVC hosts select the format.
	  If the GStreamer pipeline is started before a UVC host selected the format,
	  upstream decides on a format until the UVC host has decided. In this case, the
	  current format needs to be set based on the caps from the caps event to be able
	  to detect if the format selection by the UVC host requires a format change on
	  the GStreamer pipeline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7484>

2024-09-05 15:04:33 +0200  Michael Tretter <m.tretter@pengutronix.de>

	* sys/uvcgadget/gstuvcsink.c:
	  uvcsink: skip comparison with prev_caps if they are not set
	  The uvcsink may be put into the READY state to start listening for UVC requests.
	  Therefore, the UVC host may set a streaming format before the GStreamer pipeline
	  is started and the uvcsink received a caps event. In this case, prev_caps will
	  be NULL.
	  If the EVENT_CAPS has not been received, skip the check if the format needs to
	  be changed, since the sink will be started with the format selected by the UVC
	  host, anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7484>

2024-09-03 17:00:09 +0200  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtenc.h:
	  vtenc: Restart encoding session when certain errors are detected
	  Sometimes under certain loads, VT can error out with kVTVideoEncoderMalfunctionErr or kVTVideoEncoderNotAvailableNowErr.
	  These have been reported to happen more often than usual if CopyProperty/SetProperty() is used close to the encode call.
	  Both can be worked around by restarting the encoding session.
	  These errors can be returned either directly from VTCompressionSessionEncodeFrame() or later in the encoding callback.
	  This patch handles both scenarios the same way - a session restart is be attempted on the next encode_frame() call.
	  If the error is returned immediately by the encode call, it's possible that some correct frames will still be given to
	  the output callback, but for simplicity (+ because I wasn't able to verify this scenario) let's just discard those.
	  In addition, this commit also simplifies the beach/drop logic in enqueue_buffer.
	  Related bug reports in other projects:
	  http://www.openradar.me/45889262
	  https://github.com/aws/amazon-chime-sdk-ios/issues/170#issuecomment-741908622
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7449>

2024-09-06 10:51:01 +0200  Edward Hervey <edward@centricular.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: Name the different bus
	  Makes it clearer when reading logs which one is which
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7471>

2024-09-02 18:25:56 +0900  Hou Qi <qi.hou@nxp.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: check whether stream is seekable before seeking when state change
	  If state is changing from playing to paused, and rate is reset to 1
	  which causes seek position is valid, current code will do seek for
	  streams that are not seekable. So need to check whether stream is
	  seekable before seeking.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7448>

2024-08-29 12:01:30 +0100  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Prevent crash when attempting to set answer on invalid SDP
	  If the pending remote description has an invalid BUNDLE group _parse_bundle()
	  triggers early return from _create_answer_task(), before ret has been
	  initialized, so it needs to be checked before attempting to call
	  gst_sdp_message_copy().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7436>

2024-08-21 13:23:36 +0100  Francis Quiers <fquiers@cisco.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/voamrwbenc/gstvoamrwbenc.c:
	  voamrwbenc: fix list of bitrates
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7418>

2024-08-20 22:09:13 +1000  Jan Schmidt <jan@centricular.com>

	* gst-libs/gst/player/gstplayer.c:
	  gstplayer: Check GstPlayerSignalDispatcher type
	  Before trying to retrieve a GMainContext from a provided
	  GstPlayerSignalDispatcher, check that it is actually
	  GstPlayerGMainContextSignalDispatcher. If not, use the
	  default GMainContext for dispatching signals via the adapter
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7398>

2024-08-21 09:19:39 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/wpe/gstwpesrcbin.cpp:
	  wpe: fix gst-launch example
	  wpesrc does not have num-buffers property but wpevideosrc does.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7397>

2024-08-21 12:33:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.7

=== release 1.24.7 ===

2024-08-21 12:25:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.24.7

2024-08-19 12:39:21 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/wpe/gstwpethreadedview.cpp:
	  wpe: initialize threading.ready before reading it
	  Fixes Valgrind warning.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7385>

2024-08-19 14:34:28 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasedec.c:
	* sys/va/gstvabaseenc.c:
	* sys/va/gstvabasetransform.c:
	* sys/va/gstvacompositor.c:
	  va: don't use GST_ELEMENT_WARNING in set_context() vmethod
	  Since bins can set the context of their children elements, the set_context()
	  vmethod shouldn't call bus messages post methods, since it locks the parent
	  object, the bin, which might be already locked, leading to a deadlock.
	  Fixes: #3706
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7379>

2024-07-22 21:29:38 +0800  Qian Hu (胡骞) <qian.hu@mediatek.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	* gst-libs/gst/codecparsers/gsth265parser.c:
	* tests/check/libs/h264parser.c:
	  h26xparse: bypass check for length_size_minus_one
	  fix playback fail, when some file with length_size_minus_one == 2
	  According to the spec 2 cannot be a valid value, so that stream has a
	  bad config record. but breaking the decoding because of that, perhaps is too much.
	  and ffmpeg seem not check this
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7358>

2024-08-13 10:42:31 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/msdk/gstmsdkav1enc.c:
	* sys/msdk/gstmsdkcontext.c:
	* sys/msdk/gstmsdkh264enc.c:
	* sys/msdk/gstmsdkh265enc.c:
	* sys/msdk/gstmsdkmpeg2enc.c:
	* sys/msdk/gstmsdkvc1dec.c:
	* sys/msdk/gstmsdkvp9enc.c:
	  msdk: replace strcmp with g_strcmp0
	  Because strcmp doesn't handle NULL.
	  Fixes: #3721
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7349>

2024-08-07 19:14:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/aom/gstav1enc.c:
	  aom: av1enc: restrict allowed input width and height
	  Restrict allowed input resolution to something sensible
	  in light of libaom CVE-2024-5171.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7328>

2024-08-06 22:48:16 +1000  Jan Schmidt <jan@centricular.com>

	* gst-libs/gst/webrtc/webrtc_fwd.h:
	  webrtc: Add missing G_BEGIN/END_DECLS in header
	  Fix using webrtc.h from C++ by adding the GLib begin/end
	  decls markers around the header contents in webrtc_fwd.h
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7313>

2024-07-03 07:58:58 -0600  Jordan Yelloz <jordan.yelloz@collabora.com>

	* gst/videoparsers/gsth265parse.c:
	  h265parse: Reject FD received before SPS
	  A previous fix, a275e1e029e9b5d88be26b8304c9a162e4567346, is correct but was too
	  permissive since it treats all un-matched NAL units the same as AU delimiters
	  even though some other NAL unit types can be encountered in the processing loop.
	  The problem this can cause is that some hardware decoders experience bad
	  performance when handling FD units that precede the SPS.
	  This change restores the original behavior for FDs so that they're ignored until
	  the SPS is received and it preserves the codec conformance test gains that the
	  fix has achieved.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7296>

2024-07-26 17:13:10 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/rsvg/gstrsvgoverlay.c:
	  rsvgoverlay: add debug category
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7281>

2024-07-29 16:48:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.6

=== release 1.24.6 ===

2024-07-29 16:41:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.24.6

2024-07-29 10:29:11 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvaallocator.c:
	  va: refactor dmabuf handle close
	  Moved the close loop into a function guarded for non-win32 platforms.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7256>

2024-07-28 02:01:24 +0900  Seungha Yang <seungha@centricular.com>

	* sys/qsv/gstqsvav1enc.cpp:
	* sys/qsv/gstqsvh264enc.cpp:
	* sys/qsv/gstqsvh265enc.cpp:
	* sys/qsv/gstqsvjpegenc.cpp:
	* sys/qsv/gstqsvvp9enc.cpp:
	  qsv: Fix critical warnings
	  Fixing warnings
	  GStreamer-CRITICAL **: 01:21:25.862: gst_value_set_int_range_step:
	  assertion 'start < end' failed
	  Although when QSV runtime reports a codec is supported, resolution query
	  fails sometimes, espeically VP9 encoder case on Windows.
	  Don't try to register an element if resolution query returned an error
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7252>

2024-07-27 02:18:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/svtav1/gstsvtav1enc.c:
	  svtav1enc: Fix segfault when flushing
	  gst_video_encoder_get_oldest_frame() is nullable, and will signal that
	  all frames are handled by returning NULL.
	  Fixes #3650
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7251>

2024-07-25 22:44:51 +1000  Jan Schmidt <jan@centricular.com>

	* gst-libs/gst/va/gstvaallocator.c:
	  va: Fix dmabuf handle leaks
	  Close dmabuf handles manually when they're not going to
	  be passed into GStreamer FD memory, to avoid fd handle
	  leaks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7245>

2024-07-24 22:22:03 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/qroverlay/gstbaseqroverlay.c:
	  qroverlay: redraw overlay when caps changes
	  The position needs to be updated as it depends of the video size.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7234>

2024-07-24 22:21:41 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/qroverlay/gstbaseqroverlay.c:
	  qroverlay: add some debug logs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7234>

2024-07-24 09:16:03 +0200  tomaszmi <257184-tomaszmi@users.noreply.gitlab.freedesktop.org>

	* ext/avtp/gstavtpsink.c:
	  avtp: Fixed Linux/Alpine 3.20 build
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7227>

2024-07-24 02:33:50 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/cuda/gstcudanvrtc.cpp:
	  cuda: Fix runtime compiler loading with old CUDA tookit
	  Fallback to PTX if CUBIN symbol is unavailable
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/3685
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7223>

2024-07-12 18:10:12 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* ext/vulkan/vkupload.c:
	* tests/check/libs/vkvideodecode.c:
	  vulkan: fix wrong stages or access in barriers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7202>

2024-03-19 20:04:15 -0300  L. E. Segovia <amy@centricular.com>

	* ext/isac/meson.build:
	  isac: Work around upstream having no shared library support for MSVC
	  None of the symbols in webrtc-audio-coding-1 are marked with
	  `__declspec(dllexport)`, rendering the library usable only if
	  it was built with GCC/Clang.
	  The only fix available (as the pulseaudio copy has not been updated
	  with Google's upstream) is to ensure the fallback builds statically.
	  Although this change will also affect webrtcdsp's dependency on
	  webrtc-audio-processing-1, it does not break its compilation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7206>

2024-07-16 23:08:39 +0200  Robert Mader <robert.mader@posteo.de>

	* sys/va/gstvabase.c:
	  vabase: Stop aligning VideoInfo during DMABUF import
	  Doing so resets the stride from the VideoMeta and it wasn't done before
	  the commit below. While on it, drop the plane size check as we can't
	  reliably predict the correct size when using DRM modifiers.
	  Fixes: 89b0a6fa23 ("va: refactor buffer import")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7196>

2024-07-17 12:45:31 +0200  Robert Mader <robert.mader@posteo.de>

	* sys/va/gstvabase.c:
	  vabase: Use correct VideoInfo during DMABUF import
	  The changes to the VideoInfo, notably the stride from the VideoMeta,
	  were lost. Avoid such mistakes by explicitly using the VideoInfo from
	  drm_info.
	  Fixes: 9f5b2c4e25 ("va: use GstVideoInfoDmaDrm when importing buffers")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7196>

2024-07-17 23:44:09 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/avfdeviceprovider.m:
	* sys/applemedia/avfvideosrc.h:
	* sys/applemedia/avfvideosrc.m:
	  avfdeviceprovider: Fix debug category initialization
	  The device monitor calls into avfvideosrc functions without
	  initializing the debug category, which causes multiple criticals.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7195>

2024-07-15 12:44:52 +0200  Robert Mader <robert.mader@posteo.de>

	* sys/va/plugin.c:
	  va: Blocklist i965 driver for encoding
	  The driver - AKA intel-vaapi-driver - has been unmaintained for four years
	  now and encoding appears to be broken in various cases. As it's unlikely
	  that the situation will improve, blocklist the driver for encoding.
	  Decoding appears to be stable enough to keep it enabled.
	  The driver can still be used by setting the `GST_VA_ALL_DRIVERS` env
	  variable.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7186>

2024-07-16 23:07:50 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d12/gstd3d12compositor.cpp:
	  d3d12compositor: Fix transparent background mode with YUV output
	  In case of YUV format without alpha channel, zero clear value
	  for each channle will result in green color. Use calculated black
	  background color with alpha=0 for transparent background mode instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7185>

2024-07-16 20:38:41 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Fix transparent background mode with YUV output
	  In case of YUV format without alpha channel, zero clear value
	  for each channle will result in green color. Use calculated black
	  background color with alpha=0 for transparent background mode instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7185>

2024-07-03 22:57:58 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	  h264decoder: Update output frame duration when second field frame is discarded
	  In case of an interlaced stream, if each field picture belongs to
	  different GstVideoCodecFrame, updates output frame's duration
	  based on discarded second field picture's timestamp information.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7175>

2024-07-12 12:34:52 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
